apt 3.2.0 commandline package manager

Public Attributes | List of all members
pkgCache::ReleaseFile Struct Reference

stores information about the release files used to generate the cache More...

`#include <apt-pkg/pkgcache.h>`

## Public Attributes
map_stringitem_t | FileName
| physical disk file that this ReleaseFile represents
map_stringitem_t | Archive
| the release information
map_stringitem_t | Codename
map_stringitem_t | Version
map_stringitem_t | Origin
map_stringitem_t | Label
map_stringitem_t | Site
| The site the index file was fetched from.
map_filesize_t | Size
| Size of the file.
time_t | mtime
| Modification time for the file.
map_flags_t | Flags
map_pointer< ReleaseFile > | NextFile
| Link to the next ReleaseFile in the Cache.
map_fileid_t | ID
| unique sequel ID
map_pointer< void > | d
| Private pointer.

## Detailed Description

stores information about the release files used to generate the cache

PackageFiles reference ReleaseFiles as we need to keep record of which version belongs to which release e.g. for pinning.

## Member Data Documentation

## ◆ Archive

map_stringitem_t Archive

the release information

Please see the files document for a description of what the release information means.

## ◆ Flags

map_flags_t Flags

Todo
  document PackageFile::Flags

Referenced by debReleaseIndex::Load().

## ◆ Size

map_filesize_t Size

Size of the file.

Used together with the modification time as a simple check to ensure that the Packages file has not been altered since Cache generation.

The documentation for this struct was generated from the following file:

- apt-pkg/pkgcache.h